setlocal enableextensions
echo off
rem Converts repositories in a migration package from Windows 32-bit format
rem to Windows 64-bit (x64) format.  This script modifies the migration 
rem package.  Make a backup copy of the package before running this script.
rem
rem This script must be run on the target 64-bit system and SAS 9.2 must be
rem installed.

rem *** Modify the PKGDIR variable to point to the metadatasrv folder for the
rem *** metadata tier in your migration package.
SET PKGDIR=C:\MySMUPackage\metadataTier\metadatasrv

rem *** Modify the SASHOME variable to point to your SAS 9.2 installation.
SET SASHOME=C:\Program Files\SAS\SASFoundation\9.2

pushd %PKGDIR%

mkdir OriginalRepositories
if exist MigrateRepositories.sas del MigrateRepositories.sas

for /d %%R in (MetadataRepositories\* rposmgr) do call :Migrate_Repository %%R

echo LIBNAME SOURCE CLEAR; >>MigrateRepositories.sas
echo LIBNAME TARGET CLEAR; >>MigrateRepositories.sas

"%SASHOME%\sas" MigrateRepositories.sas
popd

endlocal
goto :eof


:Migrate_Repository
@echo Migrating %1

set SOURCE=OriginalRepositories\%~n1
mkdir %SOURCE%

move "%1\*.SAS7BDAT" %SOURCE%

echo /* Migrate %1 */ >>MigrateRepositories.sas
echo LIBNAME SOURCE "%SOURCE%"; >>MigrateRepositories.sas 
echo LIBNAME TARGET "%1"; >>MigrateRepositories.sas 
echo PROC MIGRATE IN=SOURCE OUT=TARGET; RUN; >>MigrateRepositories.sas

goto :eof